<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for callInfoDisplay StructType
 * @subpackage Structs
 */
class CallInfoDisplay extends AbstractStructBase
{
    /**
     * The callerName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - default: true
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $callerName;
    /**
     * The callerNumber
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - default: false
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $callerNumber;
    /**
     * The redirectedNumber
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - default: false
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $redirectedNumber;
    /**
     * The dialedNumber
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - default: true
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $dialedNumber;
    /**
     * Constructor method for callInfoDisplay
     * @uses CallInfoDisplay::setCallerName()
     * @uses CallInfoDisplay::setCallerNumber()
     * @uses CallInfoDisplay::setRedirectedNumber()
     * @uses CallInfoDisplay::setDialedNumber()
     * @param string $callerName
     * @param string $callerNumber
     * @param string $redirectedNumber
     * @param string $dialedNumber
     */
    public function __construct($callerName = 'true', $callerNumber = 'false', $redirectedNumber = 'false', $dialedNumber = 'true')
    {
        $this
            ->setCallerName($callerName)
            ->setCallerNumber($callerNumber)
            ->setRedirectedNumber($redirectedNumber)
            ->setDialedNumber($dialedNumber);
    }
    /**
     * Get callerName value
     * @return string|null
     */
    public function getCallerName()
    {
        return $this->callerName;
    }
    /**
     * Set callerName value
     * @param string $callerName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CallInfoDisplay
     */
    public function setCallerName($callerName = 'true')
    {
        $this->callerName = $callerName;
        return $this;
    }
    /**
     * Get callerNumber value
     * @return string|null
     */
    public function getCallerNumber()
    {
        return $this->callerNumber;
    }
    /**
     * Set callerNumber value
     * @param string $callerNumber
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CallInfoDisplay
     */
    public function setCallerNumber($callerNumber = 'false')
    {
        $this->callerNumber = $callerNumber;
        return $this;
    }
    /**
     * Get redirectedNumber value
     * @return string|null
     */
    public function getRedirectedNumber()
    {
        return $this->redirectedNumber;
    }
    /**
     * Set redirectedNumber value
     * @param string $redirectedNumber
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CallInfoDisplay
     */
    public function setRedirectedNumber($redirectedNumber = 'false')
    {
        $this->redirectedNumber = $redirectedNumber;
        return $this;
    }
    /**
     * Get dialedNumber value
     * @return string|null
     */
    public function getDialedNumber()
    {
        return $this->dialedNumber;
    }
    /**
     * Set dialedNumber value
     * @param string $dialedNumber
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CallInfoDisplay
     */
    public function setDialedNumber($dialedNumber = 'true')
    {
        $this->dialedNumber = $dialedNumber;
        return $this;
    }
}
